corda / net.corda.core.utilities / LogHelper

# LogHelper

`object LogHelper`

A configuration helper that allows modifying the log level for specific loggers

### Functions

reset | `fun reset(vararg names: String): Unit` Removes custom configuration for the specified logger names `fun reset(vararg classes: KClass<*>): Unit`
setLevel | `fun setLevel(vararg loggerNames: String): Unit` Takes a set of strings identifying logger names for which the logging level should be configured. If the logger name starts with a + or an ordinary character, the level is set to Level.ALL. If it starts with a - then logging is switched off. `fun setLevel(vararg classes: KClass<*>): Unit`